Bug 857955 (CVE-2012-4430)

Summary: CVE-2012-4430 bacula: Improper ACL rules enforcement by dumping resources
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: andreas, fschwarz, limburgher, lnykryn, vanmeeuwen+fedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120913,reported=20120914,source=oss-security,cvss2=2.7/AV:A/AC:L/Au:S/C:P/I:N/A:N,rhel-6/bacula=defer,fedora-16/bacula=affected,fedora-17/bacula=notaffected,epel-5/bacula=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 857957, 857958    
Bug Blocks: 857959    

Description Jan Lieskovsky 2012-09-17 11:15:47 EDT
An information leak flaw was found in the way Bacula, a cross platform network backup tool, enforced access control list (ACL) rules prior providing information about a particular resource. A remote attacker could use this flaw to obtain (possibly sensitive) information.

References:
[1] https://secunia.com/advisories/50535/
[2] http://sourceforge.net/projects/bacula/files/bacula/5.2.11/ReleaseNotes/view
[3] http://www.openwall.com/lists/oss-security/2012/09/14/11
[4] http://www.openwall.com/lists/oss-security/2012/09/15/2

Upstream patch:
[5] http://www.bacula.org/git/cgit.cgi/bacula/commit/?id=67debcecd3d530c429e817e1d778e79dcd1db905
Comment 1 Jan Lieskovsky 2012-09-17 11:17:55 EDT
This issue affects the version of the bacula package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the version of the bacula package, as shipped with Fedora release of 16. Please schedule an update.

This issue did NOT affect the version of the bacula package, as shipped with Fedora release of 17 (it got updated already).

--

This issue affects the version of the bacula package, as shipped with Fedora EPEL 5. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-09-17 11:19:05 EDT
Created bacula tracking bugs for this issue

Affects: fedora-16 [bug 857957]
Affects: epel-5 [bug 857958]
Comment 3 Huzaifa S. Sidhpurwala 2012-09-18 01:09:55 EDT
Statement:

This issue affects the version of bacula as shipped with Red Hat Enterprise Linux 6. The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.
Comment 6 Fedora Update System 2012-10-15 13:59:34 EDT
bacula-2.4.4-12.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-01-24 17:02:29 EST
bacula-5.0.3-33.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.